Unit fxde94r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure fxde94r(X :Real; var Y :Array of Real; var DX :Array of Real;
                M :Integer);

implementation

procedure fxde94r(X :Real; var Y :Array of Real; var DX :Array of Real;
                M :Integer);
begin
DX[0] := 0.0;
DX[1] := -2.E3*Exp(-1.E2*X)-2.0*Exp(-X)*(Cos(X)+Sin(X));
DX[2] := DX[1];
DX[3] := DX[1];
end;

end.
